org.apache.hadoop.hdfs.server.datanode

## Class SecureDataNodeStarter.SecureResources

- java.lang.Object
- - org.apache.hadoop.hdfs.server.datanode.SecureDataNodeStarter.SecureResources

- Enclosing class:
    SecureDataNodeStarter

      public static class SecureDataNodeStarter.SecureResources
      extends Object

  Stash necessary resources needed for datanode operation in a secure env.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecureResources(ServerSocket streamingSocket, ServerSocketChannel httpServerSocket, boolean saslEnabled, boolean rpcPortPrivileged, boolean httpPortPrivileged)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerSocketChannel` | `getHttpServerChannel()`
    `ServerSocket` | `getStreamingSocket()`
    `boolean` | `isHttpPortPrivileged()`
    `boolean` | `isRpcPortPrivileged()`
    `boolean` | `isSaslEnabled()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecureResources

          public SecureResources(ServerSocket streamingSocket,
                                 ServerSocketChannel httpServerSocket,
                                 boolean saslEnabled,
                                 boolean rpcPortPrivileged,
                                 boolean httpPortPrivileged)

  - ### Method Detail

    - #### getStreamingSocket

          public ServerSocket getStreamingSocket()

    - #### getHttpServerChannel

          public ServerSocketChannel getHttpServerChannel()

    - #### isSaslEnabled

          public boolean isSaslEnabled()

    - #### isRpcPortPrivileged

          public boolean isRpcPortPrivileged()

    - #### isHttpPortPrivileged

          public boolean isHttpPortPrivileged()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.